CVC4::DivisibleHashFunction Struct Reference

Hash function for the Divisible objects. More...

`#include <divisible.h>`

## Public Member Functions

size_t | operator() (const Divisible &d) const

## Detailed Description

Hash function for the Divisible objects.

Definition at line 49 of file divisible.h.

## Member Function Documentation

## operator()()

size_t CVC4::DivisibleHashFunction::operator() | ( | const Divisible & | d | ) | const

inline

Definition at line 50 of file divisible.h.

References CVC4::Integer::hash(), and CVC4::Divisible::k.

The documentation for this struct was generated from the following file:

- src/util/divisible.h